## org.opencyc.uml.commonbehavior
Class Expression

    java.lang.Object
      |
      +--org.opencyc.uml.commonbehavior.Expression

Direct Known Subclasses:
  ArgListsExpression, BooleanExpression, MappingExpression, ProcedureExpression, TimeExpression, TypeExpression

public class Expression
extends java.lang.Object

Expression from the UML Common_Behavior package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected java.lang.String` `body` the body of this expression
`protected java.lang.String` `language` the name of the language of this expression

Constructor Summary
`Expression()` Constructs a new Expression object.

Method Summary
`java.lang.String` `getBody()` Gets the body of this expression.
`java.lang.String` `getLanguage()` Gets the name of the language of this expression.
`void` `setBody(java.lang.String body)` Sets the body of this expression.
`void` `setLanguage(java.lang.String language)` Sets the name of the language of this expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### language

    protected java.lang.String language

  the name of the language of this expression

### body

    protected java.lang.String body

  the body of this expression

Constructor Detail

### Expression

    public Expression()

  Constructs a new Expression object.

Method Detail

### getLanguage

    public java.lang.String getLanguage()

  Gets the name of the language of this expression.
  Returns:
    the name of the language of this expression

### setLanguage

    public void setLanguage(java.lang.String language)

  Sets the name of the language of this expression.
  Parameters:
    `language` - the name of the language of this expression

### getBody

    public java.lang.String getBody()

  Gets the body of this expression.
  Returns:
    the body of this expression

### setBody

    public void setBody(java.lang.String body)

  Sets the body of this expression.
  Parameters:
    `body` - the body of this expression